### Method

# Vte Terminal match_set_cursor

deprecated: 0.40

#### Declaration [src]

    void
    vte_terminal_match_set_cursor (
      VteTerminal* terminal,
      int tag,
      GdkCursor* cursor
    )

#### Description [src]

Sets which cursor the terminal will use if the pointer is over the pattern specified by `tag`. The terminal keeps a reference to `cursor`.

Deprecated since: 0.40

Use `vte_terminal_match_set_cursor_name()` instead.

#### Parameters

`tag`

  Type: `int`

  The tag of the regex which should use the specified cursor.

`cursor`

  Type: `GdkCursor`

  The `GdkCursor` which the terminal should use when the pattern is highlighted, or `NULL` to use the standard cursor.

  The argument can be `NULL`.
  The data is owned by the caller of the method.